[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Localization versus Requires: aspell-en



Chitlesh GOORAH wrote:
Hello there,

We have some doubt about the Requires: of a default localization.

For example, eclipse-texlipse needs aspell
https://bugzilla.redhat.com/show_bug.cgi?id=506431

By default I chose aspell-en,

# For Spell-Check (choosing default : English)
Requires:       aspell-en

Is there any macro that automatically selects the proper %{lang} of a
Requires: ?
e.g aspell-%{lang} ?

Requires and Provides are static (calculated at build time). So there is no way to pick the "right" language at install time.

Better support for languages would be good but I don't see this happening any time soon.

Florian


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]